Compatibility of FFMPEG builds

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Compatibility of FFMPEG builds

ILJA SHEBALIN
Hello,

I want to install ffmpeg on one of my older machines with 10.7. What is the latest compatible build and where's the downloadable link?

Cheers,

Me
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compatibility of FFMPEG builds

Moritz Barsnick
On Fri, Aug 07, 2020 at 20:27:10 +0300, Ilja wrote:
> I want to install ffmpeg on one of my older machines with 10.7.

10.7 of what?

> What is the latest compatible build and where's the downloadable link?

Since I don't know which operating system or distribution is meant, I
can't help you. In general, you can build ffmpeg from source even on
very old, obsoleted operating systems and Linux distributions. For not
so old ones, there may or may not exist pre-build binaries.

If 10.7 is a Mac OS X version (I'm guessing here):
The binaries linked from the ffmpeg website won't work.
This requires 10.9: https://evermeet.cx/ffmpeg/#remarks
This requires 10.10: https://ffmpeg.zeranoe.com/builds/

Cheers,
Moritz
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compatibility of FFMPEG builds

Reto Kromer-2
Moritz Barsnick wrote:

>If 10.7 is a Mac OS X version (I'm guessing here):
>The binaries linked from the ffmpeg website won't work.

I guess... you guess right, Moritz!

Ilja, it works if you compile the source code yourself, but
I don't know either a build which works.

Best regards, Reto

_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compatibility of FFMPEG builds

ILJA SHEBALIN
In reply to this post by Moritz Barsnick
Yes, I was talking about macOS 10.7, and even the source code needs to be compatible. Every link I ran across on FFMPEG.ORG <http://ffmpeg.org/> will direct to the source code that would require at least macOS 10.9, but even with the long list of the links to source code it’s difficult to pick one rather than downloading from every provided link.

> On 7 Aug 2020, at 21:22, Moritz Barsnick <[hidden email]> wrote:
>
> On Fri, Aug 07, 2020 at 20:27:10 +0300, Ilja wrote:
>> I want to install ffmpeg on one of my older machines with 10.7.
>
> 10.7 of what?
>
>> What is the latest compatible build and where's the downloadable link?
>
> Since I don't know which operating system or distribution is meant, I
> can't help you. In general, you can build ffmpeg from source even on
> very old, obsoleted operating systems and Linux distributions. For not
> so old ones, there may or may not exist pre-build binaries.
>
> If 10.7 is a Mac OS X version (I'm guessing here):
> The binaries linked from the ffmpeg website won't work.
> This requires 10.9: https://evermeet.cx/ffmpeg/#remarks
> This requires 10.10: https://ffmpeg.zeranoe.com/builds/
>
> Cheers,
> Moritz
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> https://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
> To unsubscribe, visit link above, or email
> [hidden email] with subject "unsubscribe".

_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compatibility of FFMPEG builds

Moritz Barsnick
On Fri, Aug 07, 2020 at 22:47:10 +0300, scrutinizer wrote:
> Yes, I was talking about macOS 10.7, and even the source code needs
> to be compatible.

ffmpeg's source code is extremely compatible, honestly. They go to long
efforts not to depend on modern compiler or system features.

> Every link I ran across on FFMPEG.ORG <http://ffmpeg.org/> will
> direct to the source code that would require at least macOS 10.9

Where? On the download page with the sources, no restriction whatsoever
is mentionend.

, but even with the long list of the links
> to source code it’s difficult to pick one rather than downloading
> from every provided link.

Pardon?

http://ffmpeg.org/
->
http://ffmpeg.org/download.html
right column "Get the Sources"
"Download snapshot", alternatively "git Snapshot".

Assuming you have a compiler (Xcode?), you just unpack the sources,
change into the source directory, and run

./configure
make

which should give you an ffmpeg in the same directory. Possibly without
external dependencies, which may or may not be sufficient.

Furthermore, there's a wiki page giving you several other options on
building your own ffmpeg, incl. more external dependencies:
https://trac.ffmpeg.org/wiki/CompilationGuide/macOS

Moritz
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".